<template>
  <div>
    <gmap-map
      :center="defaultCenter"
      :zoom="mapZoom"
      :options="mapOptions"
      :style="mapStyle"
      @click="addMarker($event)"
      ref="mapRef"
    >
      <gmap-marker
        v-if="editMarker != null"
        :position="editMarker.position"
      ></gmap-marker>
    </gmap-map>
  </div>
</template>

<script>
export default {
  name: "GoogleMap",
  data() {
    return {
      defaultCenter: { lat: 47.37088, lng: 8.5415 },
      mapZoom: 8,
      mapOptions: { streetViewControl: false },
      mapStyle: { width: "100%", height: "100%" },
      oldCoordinatesValues: new Map(),
    };
  },
  computed: {
    getChecked() {
      return this.$store.state.checkedDives;
    },
    editMarker() {
      return this.$store.state.editMarker;
    },
  },
  methods: {
    addMarker(event) {
      const position = { lat: event.latLng.lat(), lng: event.latLng.lng() };
      this.$store.commit("updateEditMarkerPosition", position);
    },
  },
};

//icon="http://maps.google.com/mapfiles/ms/icons/blue-dot.png"
</script>
